Bug 1793903 - ipv6calc-2.2.0-38.fc32 FTBFS: /usr/bin/ld: ipv6logconvhelp.o:/.../ipv6calc-2.2.0/ipv6logconv/ipv6logconv.h:24: multiple definition of `cache_lru_limit'; ipv6logconv.o:/.../ipv6calc-2.2.0/ipv6logconv/ipv6logconv.h:24: first defined here
Summary: ipv6calc-2.2.0-38.fc32 FTBFS: /usr/bin/ld: ipv6logconvhelp.o:/.../ipv6calc-2....
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ipv6calc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Bieringer
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-22 08:58 UTC by Petr Pisar
Modified: 2020-01-26 20:37 UTC (History)
2 users (show)

Fixed In Version: 2.2.0-39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-26 20:37:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2020-01-22 08:58:31 UTC
ipv6calc-2.2.0-38.fc32 fails to build in F32 with GCC 10:

make[2]: Leaving directory '/home/test/fedora/ipv6calc/ipv6calc-2.2.0'
gcc -o ipv6logconv ipv6logconv.o ipv6logconvhelp.o  -rdynamic -ldl -lm -lcrypto -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -ldb ../lib/libipv6calc.so.2.2.0 ../databases/lib/libipv6calc_db_wrapper.so.2.2.0 -lcrypto -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -ldb
/usr/bin/ld: ipv6logconvhelp.o:/home/test/fedora/ipv6calc/ipv6calc-2.2.0/ipv6logconv/ipv6logconv.h:24: multiple definition of `cache_lru_limit'; ipv6logconv.o:/home/test/fedora/ipv6calc/ipv6calc-2.2.0/ipv6logconv/ipv6logconv.h:24: first defined here
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:51: ipv6logconv] Error 1
make[1]: Leaving directory '/home/test/fedora/ipv6calc/ipv6calc-2.2.0/ipv6logconv'

Comment 1 Peter Bieringer 2020-01-24 06:18:12 UTC
upstream fix created:
https://github.com/pbiering/ipv6calc/commit/8c7eea58f2034113ae91ff7adc2bda72465b7d1a

Comment 2 Peter Bieringer 2020-01-24 06:48:28 UTC
new build with patch included was successful: https://koji.fedoraproject.org/koji/taskinfo?taskID=40948762


Note You need to log in before you can comment on or make changes to this bug.